/**
 * help key : value defined in javascript object notation
 */

var help = {
	'appion' : {
		'boxfiles' : 'Only the eman box files will be created',
		'runid' : 'Specifies the name associated with the processing results unique to the specified session and parameters.  An attempt to use the same run name for a session using different processing parameters will result in an error.',
		'runname' : 'Specifies the name associated with the processing results unique to the specified session and parameters.  An attempt to use the same run name for a session using different processing parameters will result in an error. The Default is automatically incremented',
		'description' : 'brief description attributed with the processing results',
		'descr' : 'brief description attributed with the processing results',
		'outdir' : 'The base output directory to which files will be stored.  If you are testing, switch \"appion\" to \"temp\".  A subdirectory of the run name will be appended for actual output',
		'checkimages' : 'Choose what images to process here.  Images can be inspected by Viewer or ImageAssessor.  BEST images include ones inspected as KEEP or as EXEMPLAR in the viewer.  NON-REJECTED images include the BEST images above-mentioned and the uninspected ones and therefore exclude only the REJECTED or HIDDEN images.',
		'nowait' : 'After processing all the images collected for this session, this will continue to check if new images have been acquired every 10 minutes.  If after 2 hours, no new images have been acquired, this job will terminate.',
		'background' : 'Minimizes the output when the program runs',
		'imgorder' : 'Change the order in which the images are process, shuffle: process in random order, reverse: process newest images first, normal: process oldest images first',
		'limit' : 'If you do not want to process all the images, enter a number and the program will only process this number of images.  Good for testing a few images before committing the results to the database.',
		'cont' : 'By default you ALWAYS want to continue, unless you are NOT committing to the database yet and you want to reprocess an image.',
		'commit' : 'Stores results to the database.  When testing do NOT commit, but once you are happy with the results start commiting the data, otherwise all information will be lost.',
		'diameter' : 'Particle diameter in &Aring;ngstr&ouml;ms, only used when displaying the picked particles in the web image viewers.',
		'minthresh' : 'Threshold for particle picking from the cross-correlation or dogpicker map.  Any values above this threshold are considered particles.<br/>For template correlation, this should be between 0.0 and 1.0, typically 0.4 to 0.6 is used.<br/>For dogPicker, the value is in terms of standard deviations from the mean divided by four.  Reasonable range from 0.4 to 3.0 with typical values falling between 0.7 and 1.0',
		'maxthresh' : 'Maximum threshold for particle picking from the cross-correlation or dogpicker map.  Any values above this threshold are rejected.<br/>For template correlation, you probably do not need this, but typical values would be between 0.7 and 0.8.<br/>For dogPicker, the values is in terms of standard deviations from the mean divided by four.  Reasonable range from 1.0 to 5.0 with typical values falling between 1.5 and 2.5',
		'maxpeaks' : 'This a feature limits the number of particles allowed in an image.  By default it is set to 1500, but if you want no more than 50 particles an image fill in this value',
		'lpval' : 'Low pass filtering of the image before picking.  This should be about 1/10 to 1/50 of the particle diameter, <I>e.g.</I> for a particle with diameter 150 &Aring;, a low pass of 5-10 &Aring; works pretty good',
		'tiltangle' : 'Tilt Angle of micrographs, exclude all images where tilt angle is not equal to specified value',
		'lpstackval' : 'Low pass filter applied to individual particles',
		'hpstackval' : 'High pass filter applied to individual particles',
		'hpval' : 'High pass filtering of the image before picking.  This removes any darkness gradients in the image.  Typically you could disable this by setting it equal to zero, otherwise 600 work pretty good.  Warning this feature typically normalizes the crud so more particles get picked from crud.',
		'medianval' : 'Median filtering of the image or volume. Unlike a low pass filter this filters removes any noise spikes in the image or volume. Typical values are less than 5. The bigger the number the more information is thrown away.',
		'binval' : 'Binning of the image.  This takes any integer value, but powers of 2 are recommended. Binning quickly shrinks the image to help make the processing faster.  Typically you want to use 4 or 8 for particle picking.',
		'ace2bin' : 'Binning of the image.  This takes any integer value, but powers of 2 are recommended. Typical is 1 or 2 for ace2 estimation if the pixel size is ~1.0-2.0 &Aring;ngstr&ouml;ms. This binning in real space has an effect of zooming in on the power spectra. Bins of greater than 2 can cause clipping of outer Thon rings in close to focus images and errors in the CTF estimation, but this handled by the confidence value',
		'partbin' : 'Binning of the particle images. This quickly shrinks the image to help make the processing faster.',
		'stackbin' : 'Amount to bin the particles by after they are extracted from each image.  Note that this binning occurs AFTER boxing from the raw image, so that your box size must correspond to the UNBINNED micrograph.  Usually bin by 2.',
		'coranbin' : 'Binning of the particle images. The speed of coran goes as the number of pixels cubed. So bin by 2 and it goes 64 times faster, bin by 3 and it goes 729 times faster.',
		'defocpair' : 'Select this box if you are collecting defocal pairs.  This feature takes both of the en and ef images and aligns them, so you can use makestack later.',
		'maxsize' : 'Max size multiple of the particle peak.  When the peak is found in the thresholded image it has a size in pixels.  If that size is greater than (max peak area mult)*particle diameter, then the peak is rejected. The default value is 1.0, which implies that the correlation peak is the same size as the mask, which is very large. To reduce the amount of crud picked in the images, you can lower this value. 0.05 works well for templates and 0.2 for DoG peaks.',
		'overlapmult' : 'The overlap multiple specifies the minimum distance allowed between two peaks.  If two peaks are closer than overlapmult*particle diameter, then only the larger of the two peaks is retained.',
		'pixlimit' : 'Limit the values of the pixels to within this number of standard deviations from the mean.  0.0 turns this feature off.',
		'kfactor' : 'The k-factor for dogpicker defines the sloppiness in diameter of the picked particles.  A k-factor of 1.00001 gives only the exact diameter (1.0 is not allowed), but a k-factor of 5.0 will pick a wide range of sizes.  Cannot be used with multi-scale dogpicker: numslices or sizerange',
		'numslices' : 'Defines the number of different sizes (or slices) to break up the size range into for separating particles of different size.',
		'sizerange' : 'Defines the range of sizes for separating particles of different size. Particles will be picked as <i>diameter +/- sizerange</i>, so the <i>sizerange</i> is like the standard deviation of the particle size, where the diameter is defined at the top',
		'invert' : 'Mathematical pickers (e.g., DoG picker) always pick white particles. Also, if the density of your template is opposite the density of your micrographs, use this flag.',
		'nojpegs' : 'Do NOT write out the summary jpegs for image assessor.',
		'edgethresh' : 'The threshold set for edge detection.  ACE searches a range of values to determine a good threshold, but this value should be increased if there are more edges in the power spectrum than in the ring.  Decrease if no edges are detected.',
		'pfact' : 'Location of the upper cutoff frequency.  If thon rings extend beyond the power spectrum cutoff frequency, increase this value.  In cases of low signal to noise ratio with few thon rings, decrease this value.',
		'drange' : 'Use in cases where the signal to noise ratio is so high that the edge detection is incorrect.',
		'resamplefr': 'Sets the sampling size of the CTF.  At high defoci or at higher magnifications, the first thon rings may be so close to the origin that they are not processed by ACE.  In these cases raise the resampling value (2.0 works well in these cases).<br/><br/><TABLE><TR><TD COLSPAN=2>typical values for defocus/apix</TD></TR><TR><TD>0.5</TD><TD>1.2</TD></TR><TR><TD>1.0</TD><TD>1.5</TD></TR><TR><TD>1.5</TD><TD>1.6</TD></TR><TR><TD>2.0</TD><TD>1.8</TD></TR><TR><TD>3.0</TD><TD>2.2</TD></TR><TR><TD>4.0</TD><TD>2.7</TD></TR></TABLE><br/>For example, with defocus = 2.0 (-2.0x10<SUP>-6</SUP> m) and apix (&Aring;/pixel) = 1.63<br/>then defocus/apix = 1.22 and you should use resamplefr=1.6<br/>(as long as its close it should work.)',
		'overlap' : 'During processing, micrographs are cut into a series of smaller images and averaged together to increase the signal to noise ratio.  This value (n) will result in successive images having an overlap of (1-n)*field size.  Increase in cases of very low signal to noise ratio.',
		'field' : 'During processing, micrographs are cut into a series of smaller images and averaged together to increase the signal to noise ratio.  This value refers to the width (in pixels) of the cropped images.',
		'resmin' : 'This is the lowest resolution (in Angstroms) that will be considered when fitting the CTF.',
		'resmax' : 'This is the highest resolution (in Angstroms) that will be considered when fitting the CTF.',
		'defstep' : 'Initial step size (in Angstroms) used when searching for the defocus.',
		'cs' : 'Spherical abberation, abbreviated as Cs, it corresponds to the imperfection produced by the lenses in the electron microscope.  This is a physical property of a microscope and does not change.',
		'hpmask': 'Optional filter that sets all signal below a low frequency set point to zero, and all signal above a high frequency set point passed at 100%.  Signal between these two points is linearly ramped.  This can be used mask out strong signal from particle structure that can cause the algorithm to fail.', 
		'hpzero': 'signal set to zero below this frequency. For example, use 60 &Aring;ngstr&ouml;m for negatively-stained GroEL where the particle structure signal drops off',
		'hpone': 'signal passed at 100% above this frequency. For example, use 30 &Aring;ngstr&ouml;m for negatively-stained GroEL where ctf dominates the signal.',
		'edge1': 'Canny edge parameters Blur Sigma. The value is used to Gaussian blur the power spectra before edge detection. Typical values are 6, 10 or 12. ',
		'edge2': 'Canny edge parameters Edge Treshold (0.0-1.0). The lower the number, the more edges are found. Typical values are 0.001 to 0.1. If using rotational blur, increase this value to about 0.1.',
		'rotblur': 'Rotational blur of power spectra before finding the edges. This is helpful for images with low constrast CTF. Typical value is 5-10 degrees. The larger the number, the slower the calculation. Increase Edge Treshold is using this feature',
		'pdiam' : 'For template correlator this is used to mask out the particle from the image.  Otherwise, this will be the diameter used by the leginon image viewer for displaying picked particles -	it will NOT affect the size of the boxed particles later on, this is only for display purposes.  ',
		'crudpdiam' : 'When finding aggregates or looking for carbon edge. particle diameter is used as template for convolution. Not required for crud mask type. ',
		'crudmindiam' : 'Minimal mask region size. The partical diameter will be used if not specified',
		'crudminthresh' : 'Lower limit in gradient amplitude for Canny edge detection.<BR>This should be between 0.0 to 1.0 and should be smaller than that of the high limit',
		'crudmaxthresh' : 'Threshold for Canny edge detector to consider as an edge in the gradient amplitude map.<BR>  The edge is then extended continuously from such places until the gradient falls below the Low threshold<BR>The value should be between 0.0 to 1.0 and should be close to 1.0',
		'blur' : 'Gaussian filter bluring used for producing the gradient amplitude map<BR> 1.0=no bluring',
		'crudstd' : 'Threshold to eliminate false positive regions that picks up the background<BR> The region will be removed from the final result if the intensity standard deviation in the region is below the specified number of standard deviation of the map<BR> Leave it blank or as 0.0 if not considered',
		'convolve' : 'Aggregate finding uses this threshold in determining the cutoff of the particle size convoluted edge map<BR> This value is not applicatable if use other mask types<BR> Leave it blank or as 0.0 if not considered',
		'masktype' : 'Crud: Selexon crudfinder.  Canny edge detector and Convex Hull is used<BR>  Edge: Hole Edge detection using region finder in libCV so that the region can be concave.<BR>  Aggr: Aggregate finding by convoluting Sobel edge with a disk of the particle size.',
		'stackname' : 'name of the output stack, usually start.*',
		'stackdescr' : 'brief description attributed to this stack',
		'stackparticles' : 'Particle selection run providing the coordinates that will be used for extracting the particles',
		'stackparticlelabels' : 'Select a label to make a stack with labeled particles',
		'stackparticles2' : 'Existing stack providing the coordinates that will be used for extracting the particles',
		'stackinv' : 'Density of your extracted particles will be inverted.  Three dimensional reconstruction packages usually require light density on a dark background.  2-D alignment algorithms usually do not.',
		'stacknorm' : 'normalize each of the particle images',
		'ctfcorrect' : 'CTF correct the particles, there are currently four methods available, you can CTF correct the whole image and then box the particles or CTF correct the particles after boxing them. A Weiner filter improves the quality of the particles by both phase flipping and adjusting the amplitudes.',
		'checkimage' : 'This option specifies which images to use for particle extraction.<br /><br /><b><i>Non-rejected: </b></i>images that are specified as "Hidden" in the Leginon Image Viewers or selected to "Reject" using the image assessor will NOT be used for stack creation.  This means that any uninspected images will be processed.<br /><br /><b><i>Best:</i></b> only images that are specified as "Exemplar" in the Leginon Image Viewers or were selected to "Keep" using the image assessor will be used for stack creation.<br /><br /><b><i>All: </i></b>all images will be used, regardless of their status.',
		'boxsize' : 'The size (width & height) of the square area that will be extracted from each raw micrograph, using each particle coordinate as its center.  Generally the box size should be at least 1.5 times greater than the diameter of your particle, an even number, and (if possible) has a small prime factor.<br /> NOTE: This value is in pixels, not &Aring;ngstr&ouml;ms!',
		'stackdfpair' : 'If you picked your particles on far-from focus images, select this to use the shift information to box out the particles from the close-to focus images',
		'stacklim' : 'Makestack will continue processing micrographs and checking the stack size.  Once the number of particles matches or exceeds this limit, it will stop processing images.  Since all particles from a micrograph are added to the stack before checking, the final stack rarely has exactly the number of particles specified by the limit.  Leave blank to process all the micrographs.',
		'maskrad' : 'Radius of external mask (in &Aring;ngstr&ouml;ms)',
		'numpart' : 'Number of particles to use',
		'numref' : 'Number of references to use',
		'mirror' : 'Align both regular particles and their mirror image',
		'mlsavemem' : 'Save memory by reducing the number of xy shift for the particles for each round.',
		'phaseflip' : 'Check this box if you wish to use the defocus value determined by ACE to flip the phases of the particle images (flipping is performed on each individual particle).  The ACE value with the highest confidence will be used.  Note: Amplitudes are NOT affected.',
		'ctffindonly' : 'Only CTF values estimated using CTFFIND or CTFTILT will be used for correcting the CTF',
		'aceconf' : 'Only micrographs with a CTF confidence equal to or above the value specified will be used in the creation of the stack.  Values range from 0 (lowest confidence) to 1 (greatest confidence).  Empirically a confidence value of 0.8 or greater for ACE signifies a good estimation of the defocus.',
		'partcutoff' : 'The automated particle selection functions assign each paticle a correlation value - here you set a range of correlation values to use.  Correlation values that are very high or low may be contamination of noise on the micrograph.',
		'factorlist' : 'These images represent a set of eigenvectors, certain traits of the particles should be presented by each eigenvector.  Choosing an image below will use its eigenvectors as a basis for averaging the particles.',
		'numfactor' : 'Number of eigenvectors to calculate, certain traits of the particles should be presented by each eigenvector.  Choosing an image below will use its eigenvectors as a basis for averaging the particles.',
		'dendrogram' : 'Graphical representation of the clusters produced by the clustering algorithm.',
		'numclass' : 'Particle stack will be aligned according to the selected eigen images and averaged into this number of classes.',
		'refine2dnumclass' : 'Number of classes to generate (though some may be discarded). Typically less than the number of particles divided by 10 or the square root of the number of particles',
		'refine2dnumiter' : 'Number of iterations. 10 is almost always sufficient. For less noisy data 3-4 may be enough.',
		'apix' : 'Pixel size of the acquired image in &Aring;ngstr&ouml;ms.  Conversion: (1 nm = 10 &Aring;ngstr&ouml;ms)',
		'tiltseries': 'Select the tilt series number in the current session that corresponds to the tomogram to be processed.',
		'tiltseries_upload': 'Select the tilt series number in the current session that corresponds to the tomogram to be uploaded.',
		'tiltseriestwo': 'Select the 2nd tilt series if the tomogram is made from a combination of the two.',
		'session': 'Session name as created at leginon startup on the date of image capture.',
		'extrabin': 'additional binning used to reconstruct the tomogram relative to that of the tilt series images.',
		'tomorunname' : 'Specifies the name associated with the full tomogram processing results unique to the specified tilt series and parameters.',
		'tomothickness' : 'Thickness of the tomogram to be reconstructed, count by pixelsof the tilt image before tomogram binning',
		'tomoexclude' : 'tilt images to be excluded from full tomogram making, separated by commas.  Images are identified by sorted tilt number as in the alignment graph aboveand counting starts from 0.  For example: Entering 0,1 will exclude the two images of the most negative tilts',
		'subtomorunname' : 'Specifies the name associated with the sub tomogram boxing. Default is "subtomo_pick"+pickrun Id or "subtomo_stack"+stack Id. New attempt to use the same run name from the same full tomogram will append to the old results.',
		'volume': 'a bounded subvolume (often a specific structure) of the full tomogram.  Leave it blank if uploading full tomogram for boxing later',
		'tomoregiontype': 'subtomogram center can be obtained from a particle selection run or a stack/substack of the particles. However, only subtomograms boxed from aligned or clustered substack can be used for averaging.',
		'tomostack': 'a stack of particles specifying the subvolume extraction center and the orientation if aligned.',
		'avgtomorunname' : 'Specifies the name associated with the subtomogram averaging.',
		'tomobox': 'a box dimension to define the subvolume in pixels of the tilt series images. x is column, y is row. For the purpose of subtomogram averaging, z should be large enough to bound all possible particle.',
		'subtomobin': 'binning to the cut subvolumes before saving',
		'zoffset': 'Offset in z-direction from the center of and in pixel of the full tomogram, normally 0',
		'tomoinvert': 'Invert the density in making the subtomogram.  The particles need to have positive density (white on black background) for subtomogram averaging later',
		'tomoorientation': 'Depending on the orientation of the image acquisition, definition of the tilt direction in the reconstruction package etc., the resulting tomogram may have different handness.  XYZ or XZY refers to the order of the axes in the mrc file to be uploaded where X and Y are the column and row of an untilted image in its series.  Right-handed means that a rotation from +X to +Y axis results in a counterclockwise rotation look from +Z direction towards the origin.  After upload, full tomograms is converted to XZY:right handed while subtomograms are converted to XYZ:right handed. If you collect data with Leginon on FEI tecnai and use all default transformation in eTOMO, you have full tomograms in XZY:left handed and subtomograms in XYZ:left handed.  This is because Leginon record images with the origin at top-left corner while IMOD/eTomo processes images assuming the origin at bottom-left corner.',
		'tomoalignrunname' : 'Specifies the name associated with the tilt series alignment processing results unique to the specified tilt series and parameters.',
		'tomoaligner' : 'Alignment can either be a single alignment run or a specific iteration of protomo refinement.  In general the last iteration should be selected',
		'tomoalignmethod' : 'Alignment methods available',
		'protomoref' : 'reference image number in sorted tilt order. Protomo extend alignment incrementally from such a image. Default is the zero degree tilt image or the reference of the last refinement iteration. In protomo parameter file, this is called "imgref"',
		'protomocycle' : 'Multiple iterations of refinement is recommended for protomo projection alignment with decreasing sampling and increasing area of the image included',
		'protomosample' : 'Sample every x pixels in the alignment. Non-integer is acceptable but should not be smaller than 1.  Larger values result in faster and more error-tolerable run but lack the accuracy of the lower values.  The default is a reasonable next value based on that of the preceeding iteration. Known as "alismp" in the protomo parameter file',
		'protomoregion' : 'A region of each tilt image centered at the preceeding or reset alignment shift is cut out for projection alignment.  The larger the region, the slower and less error-tolerable the alignment but will be more accurate given good starting values.  The defaults are based on the preceeding iteration as the next reasonable value. The value is not allowed if the resulting region in pixels plus twice the maximum shift of the resetting iteration is larger than the image size. Protomo parameter "alibox" = this_value * 0.01 * alismp',
		'protomoreset': 'The new alignment iteration is a refinement of the alignment results from the preceeding iteration. If a large correction need to be made at the either end of the tilt series, protomo alignment may give false results.  Such false results can not be corrected by further iteration without resetting back to reasonable values and In the above rotation angle graph of the preceeding iteration, such failure appears as random or sudden jumps in alignment rotation angles.',
		'protomoresetrange': 'Use the number range to limit the images that take on those of the preceeding iteration whose rotation angle is shown in the graph. The default is the full range. The green box in the graph displays the current accepted alignment range.',
		'protomogoodcycle' : 'Reset the alignment shifts outside the image number range to those of the specified preceeding iteration. The rotation is reset to that of the closest accepted image in the the graphed iteration',
		'protomorepeat' : 'Repeat the last aligner iteration if the alignment got worse.  Try reducing the area of alignment, with higher binning, and/or reset more of the high tilt parameters to earlier, working aligner iteration.',
		'mask' : 'Radius of external mask (in pixels)',
		'mask' : 'Radius of external mask (in pixels)',
		'maxshift' : 'Maximum distance a particle can be translated',
		'includeClass' : 'Classes from classification that will be included',
		'excludeClass' : 'Classes from classification that will be excluded',
		'excludeClassum' : 'Class Average from classification that will be excluded (note: only class averages, and not particles, are affected)',
		'includeClassum' : 'Class Average from classification that will be included (note: only class averages, and not particles, are affected)',
		'templatetype' : 'The type of template stack that will be uploaded: You can either upload a stack of class averages or a stack of forward projections',
		'oldtemplatename' : 'The full path and name (ending in .img / .hed) of the template stack that you want to upload to the database',
		'commonlineemanprog' : 'EMAN common line program for initial model generation',
		'imask' : 'Inside mask used to exclude inside regions',
		'lp' : 'Lowpass filter radius in Fourier pixels',
		'partnum' : 'Number of particles to use for each view.  This number should be at least 10-20, and at most ~10% of the total particle data set.  50-100 is good for typical data sets of 2000 or more particles. Leave BLANK for auto-fill',
		'csym' : 'imposes C-fold symmetry on the model. Note: You CANNOT specify C1 here. Please use the asymmetric model creation on the previous page for C1 symmetry. ',
		'rounds' : 'Rounds of Euler angle determination to use (2-5)',
		'pdbid' : 'ID for an experimentally determined biological molecule from the RCSB Protein Data Bank (www.rcsb.org)',
		'emdbid' : 'ID for an experimentally determined electron density map from the EM Data Bank',
		'biolunit' : 'Use the functional / oligomeric form of the structure for model creation',
		'viper2eman' : 'Convert VIPER to EMAN orientation for icosahedral viruses',
		'eulers' : 'Eulers assigned to the particles for this iteration will be used when creating class averages.',
		'sigma' : 'Standard deviation multiplier to determine the quality of particle to be used.  Setting this to 0, only particles that have a quality factor equal to or greater than the mean quality factor will be used in making the class averages.  A larger sigma will result in fewer particles, but of higher \"quality\".  If no value is specified, all particles will be used.',
		'keepavg' : 'Any particles that have a median euler jump greater than this value will not be used in the class averages',
		'eotest' : 'even and odd class averages will be created in addition to the new class averages, to be used for an even/odd test',
		'angleinc' : 'angular increment for alignment, the smaller the increment the longer it takes to run, default 5, rough run use 10 degrees',
		'fastmode' : 'fast mode is a setting in Xmipp that reduces the time for an iteration after the first round, if off all iterations take a long time, if on then if the the iteration time will drop 90% after the first round, e.g.  60 min after round 1 to 4 min for each iteration after',
		'noisedistribution' : 'Determines which noise distribution model to use during alignment. Options are Gaussian and Student\'s  T distrubtions',
		'xmippmaxiter' : 'Xmipp uses a convergence criteria to stop, but it also has a maximum number of iterations it will perform without converging before it gives up',
		'stack' : 'Input particles to be classified',
		'planereg' : 'Fit a 2D plane to the image and subtract, similar to a high pass filter',
		'peaktype' : 'The determines how the center of the particle is found. Default for leginon hole finder is center of mass, but you may get better results with maximum. WARNING: Christopher needs to update pyami on cluster for maximum to work, so use center of mass',
		'doubles' : 'Each particle must be picked twice. Picked by more than one template or DoG slice',
		'griddim' : 'Self-organizing maps create a large 2D array of images, each image is a class average. E.g., 4x3 grid gives 12 class averages',
		'uploadproject' : 'Project to which the uploading session belongs to.  If the session exists, the project must match correctly',
		'uploadsession' : 'Images can be uploaded to an existing session or a new one.  Only images with unique names can be uploaded into the same session. In some cases the session name is determined by the upload script',
		'uploadtype' : 'Images uploaded in groups will know their members during processing.  For example, particle picked on one of the defocal series can be transfered to others in the same group', 
		'host' : 'Instrument host as defined in Leginon where particular combinations of scope and camera are available',
		'scope' : 'Type of mircoscope used in data collection',
		'camera' : 'Type of camera used in data collection. Gatan refers to any models of Gatan camera interfaced through Gatan Digital Micrograph software.  Use Film Scanner type for arbitrary dimension and pixel size image upload',
		'images_in_group' : 'Number of images per tilt series or defocal group.  Enter 1 or leave it blank if not a tilt series or defocal group. This will divide all images to be upload in groups of the defined number.  It is therefore not advisable to mix images belonging to a tilt series with ones that are not in the same upload. if the number is larger than 1, Field 8 (stage alpha tilt) must exist in the information file',
		'batchfile' : 'Enter the full path to a text file that contains information of each mrc image to be uploaded. The file has no title line.  Each line has the following fields of the image separated by tabs (examples are shown in []): <p>(1) complete image path ended with extension mrc; [/yourhome/yourimage.mrc]<p>(2) pixel size in meters; [1.5e-10]<p>(3) binning in x; [1]<p>(4) binning in y; [1]<p>(5) nominal scope magnification; [50000]<p>(6) intended defocus in meters, [-2e-6]<p>(7) high tension in volts; [200000]<p>(8) (optional) stage alpha tilt in degrees if loading tilt group.[55.0] See help on number of image pertilt series.<p>Note that (3) and (4) are only relavent for CCD camera, use 1 for scanned film with arbitrary scan step.',
		'batchcheck' : 'By default the existence and the number of text fields are checked before proceeding.  However, the checking process requires read privilege into your file system not as your computer login but as a user in a group specified in your web server configuration.  If read privilege is not set, you can by-pass the process by unchecking this.',
		'tiltlist' : 'List the nominal tilt angles in the tilt series in degrees, separated by commas.  (ex. 0,10,20,30).',
		'defociilist' : 'List the nominal defocii in the defocal series in microns, separated by commas.  (ex. -1,-2).',
		'rctcenter' : 'In RCT, the particle Euler angles are fixed, but the particles are not centered. Through an interative process the volume is projected in the direction of the particle and cross-correlated, then the particle is shifted to its correct location.',
		'snapfilter' : 'Fixed low pass filter used in rendering volume snapshot, leave it blank to use the FSC 0.5 result for each iteration',
		'snapzoom' : 'Zoom in the volume data to see the volume better for a large boxsize',
		'roi' : 'Define inner and outher radii used to compute rotational spectra (power spectrun of Fourier transform in polar coordinates)',
		'spectrainnerradius' : 'Select the radius at which the symmetry of interest began to appear',
		'spectraouterradius' : 'Select the radius at which the symmetry of interest disappear',
		'smoothnessfactor'   : 'Defines how simmilar two output spectra should be. This is called regularization and prevent the algorithm from divergence. In order to optain an optimal smoothnes factor an optimization is done between the initial and final regularization parameters',
		'initregulfact'      : 'Initial smoothness factor (Default = 1000)' ,   
		'finalregulfact'     : 'Final smoothness factor (Default = 200)'  ,  
		'incrementregulfact' : 'Increment smoothness factor (Default = 5)' ,   
		'symmetryrange'      : 'Range of symmetries that should be analyzed',   
		'spectralowharmonic'       : 'Smaller symmetry that should be analyzed (default =1)',   
		'spectrahighharmonic'      : 'Higher  symmetry that should be analyzed (default = 15)',   
		'niterrec' : 'Number of iterations for reconstruction (Default = 15)',   
		'maskfile' : 'Filename of a mask (0=outside particle; 1=inside particle)',   
		'innerradius' : 'Inner radius for alignment (in pixels)',   
		'outerradius' : 'Outer radius for alignment (in pixels)',   
		'angularsteps' : 'Angular distance (in degrees) between neighboring projection  points. You must specify this option for each iteration. This can be done by a sequence of numbers (for instance, "8 8 2 2" specifies 4 iterations, the first two set the value to 8 and the last two to 2. An alternative compact notation  is ("2x8 2x0", i.e., 2 iterations with value 8, and 2 with value 2). Note: if there are less values than iterations the last value is reused. Note: if there are more values than iterations the extra value are ignored',   
		'maxangularchange' : 'Maximum change in rot & tilt  (in +/- degrees). You must specify this option for each iteration. This can be done by a sequence of numbers (for instance, "1000 1000 10 10 " specifies 4 iterations, the first two set the value to 1000 (no restriction) and the last two to 10degrees. An alternative compact notation is ("2x1000 2x10", i.e., 2 iterations with value 1000, and 2 with value 10). Note: if there are less values than iterations the last value is reused. Note: if there are more values than iterations the extra value are ignored',
		'maxchangeoffset' : 'Maximum allowed change in shift in the 3D+2D searches (in +/- pixels). Shifts larger than this value will be reset to (0,0) You must specify this option for each iteration.  This can be done by a sequence of numbers (for instance, "1000 1000 10 10 "  specifies 4 iterations, the first two set the value to 1000 (no restriction) and the last two to 10degrees. An alternative compact notation  is ("2x1000 2x10", i.e., 2 iterations with value 1000, and 2 with value 10). Note: if there are less values than iterations the last value is reused. Note: if there are more values than iterations the extra value are ignored',
		'search5dshift' : 'Give search range from the image center for 5D searches (in +/- pixels). Values larger than 0 will results in 5D searches (which may be CPU-intensive) Give 0 for conventional 3D+2D searches.  Note that after the 5D search, for the optimal angles always  a 2D exhaustive search is performed anyway (making it ~5D+2D) Provide a sequence of numbers (for instance, "5 5 3 0" specifies 4 iterations, the first two set the value to 5, then one with 3, resp 0 pixels. An alternative compact notation is ("3x5 2x3 0", i.e., 3 iterations with value 5, and 2 with value 3 and the rest with 0). Note: if there are less values than iterations the last value is reused Note: if there are more values than iterations the extra value are ignored',
		'search5dstep' : 'Provide a sequence of numbers (for instance, "2 2 1 1" specifies 4 iterations, the first two set the value to 2, then two with 1 pixel. An alternative compact notation is ("2x2 2x1", i.e., 2 iterations with value 2, and 2 with value 1). Note: if there are less values than iterations the last value is reused Note: if there are more values than iterations the extra value are ignored',
		'symmetrygroup' : 'E.g., c1, c2, ..., d1, d2, ... For more groups see http://xmipp.cnb.uam.es/twiki/bin/view/Xmipp/Symmetry for a description of the symmetry groups format. If no symmetry is present, give c1',
		'discardpercentage' : 'Provide a sequence of numbers (for instance, "20 20 10 10" specifies 4 iterations, the first two set the value to 20%, then two with 10% An alternative compact notation would be ("2x20 2x10"). Note: if there are less values than iterations the last value is reused Note: if there are more values than iterations the extra value are ignored Set to zero to prevent discarding any images',
		'reconstructionmethod' : 'Provide a sequence of methods (fourier, wbp, art). See http://xmipp.cnb.uam.es/twiki/bin/view/Xmipp/Wbp and http://xmipp.cnb.uam.es/twiki/bin/view/Xmipp/Mpi_wbp and http://xmipp.cnb.uam.es/twiki/bin/view/Xmipp/Art http://xmipp.cnb.uam.es/twiki/bin/view/Xmipp/Fourier http://xmipp.cnb.uam.es/twiki/bin/view/Xmipp/Mpi_fourier for details',
		'artlambda' : 'IMPORTANT: you must specify a value of lambda for each iteration even if art has not been selected. IMPORTANT: NOte that we are using the WLS version of ART that  uses geater lambdas than the plain art. See http://xmipp.cnb.uam.es/twiki/bin/view/Xmipp/Art for details You must specify this option for each iteration.  This can be done by a sequence of numbers (for instance, ".1 .1 .3 .3"  specifies 4 iterations, the first two set the value to 0.1  no restriction) and the last  two to .3. An alternative compact notation  is ("2x.1 2x.3"). Note: if there are less values than iterations the last value is reused Note: if there are more values than iterations the extra value are ignored',
		'fouriermaxfrequencyofinterest' : 'This number os only used in the first iteration.  From then on, it will be set to resolution computed in the resolution section',
		'docomputeresolution' : '0=Do not compute resolution; 1=Compute resolution (FSC)',
		'dolowpassfilter' : '0=Do not low pass filter; 1=Low pass filter',
		'dontusefscforfilter' : 'If set to false, the volume will be filtered at a frecuency equal to the  resolution computed with a FSC=0.5 threshold, possibly  plus a constant provided by the user in the next input box.  If set to true, then the filtration will be made at the constant  value provided by the user in the next box (in digital frequency, i.e. pixel-1: minimum 0, maximum 0.5) ',
		'constanttoaddtofiltration' : 'The meaning of this field depends on the previous flag. If set to true, then the volume will be filtered at a frecuency equal to the  resolution computed with resolution_fsc (FSC=0.5) plus the value  provided in this field  If set to false, the volume will be filtered at the resolution provided in this field  This value is in digital frequency, or pixel^-1: minimum 0, maximum 0.5 You can specify this option for each iteration.  This can be done by a sequence of numbers (for instance, ".15 .15 .1 .1"  specifies 4 iterations, the first two set the constant to .15 and the last two to 0.1. An alternative compact notation  is ("2x.15 2x0.1", i.e., 4 iterations with value 0.15, and three with value .1). Note: if there are less values than iterations the last value is reused Note: if there are more values than iterations the extra value are ignored',
		'particlefiles' : 'i.e. /home/username/files/*.box<br><br>NOTE: box files must have the SAME name as the corresponding mrc files in the database.<br>the box file for <br><b>0059ma.mrc</b><br> must be named<br><b>0059ma.box</b>',
		'particlescaling' : 'If particles were selected from binned images, enter the binning factor here, otherwise leave blank.  For example, if images were binned by a factor of 4 for particle selection, enter 4 here',
		'imgpath' : 'directory containing the images to be imported (i.e. /home/username/experiment/date)',
		'fileformat' : 'format of images to be imported',
		'imgbin' : 'Image binning',
		'magnification' : 'Nominal instrument magnification of images (i.e. 50000)',
		'defocus' : 'Nominal defocus of images in microns (i.e. -1.5)',
		'kev' : 'High tension of the microscope in kilovolts (i.e. 120)',

/******* Topology Alignment ********/
		'startnumcls' : 'Number of classes to create in the first iteration. Each subsequent iteration will create fewer classes until the last iteration creates the ending number of classes',
		'endnumcls' : 'Number of classes to create in the last iteration',
		'topoliter' : 'Number of alignment iterations to perform',
		'itermult' : 'Multiplier for determining number of times data will be presented to the network. Number of particles in your stack will by multiplied by this value to determine # of iterations (default=10.0)',
		'learn' : 'Direct learning rate - fraction of the distance that a network node will move toward a presented data point. Higher values will make the learning more noisy but possibly explore more of "image space". Low values may prevent the network from accurately capturing your data. 0.01 suggested for cryo, higher for neg stain',
		'ilearn' : 'Indirect learning rate - fraction of the distance that a network node connected to the highest scoring node will move toward that data point. This effect gives the network interesting "cohesive" properties and helps with classification. Should be lower than direct rate (default = 0.0005)',
		'age' : 'Number of iterations an edge connecting two units can be unused before it is discarded. Higher values lead to a more connected network, but over-connecting can lead to inhibition of correct classification (i.e. 25)',
		'mramethod' : 'Processing package that will be used to perform the multi-reference alignment step for each iteration (IMAGIC seems to give better results for most datasets)',

/******* IMAGIC terms ********/

		'lpfilt' : 'This should be about 1/10 to 1/50 of the particle diameter, <I>e.g.</I> for a particle with diameter 150 &Aring;, a low pass of 5-10 &Aring; works pretty well.<BR/><BR/> NOTE: Imagic uses filtering values between 0 and 1.  This parameter will be converted in the python script to between 0-1 for use in Imagic.',
		'hpfilt' : 'This removes any darkness gradients in the image.  Typically you could disable this by setting it equal to zero, otherwise 400-600 works pretty well for IMAGIC.<BR/><BR/> NOTE: Imagic uses filtering values between 0 and 1.  This parameter will be converted in the python script to between 0-1 for use in Imagic.',	
		'transalign_iter' : 'Translational alignment in imagic has 3 basic steps.  1) A total sum of your images is created, 2) The total sum is rotationally averaged, 3) boxed particles are translationally (X-Y) aligned to the rotationally averaged sum.  In the imagic log file you will be able to see how the translational alignment converges with each iteration.  Generally this happens after ~5 iterations.',
		'box_size' : 'number of columns & number of rows for each particle in the stack (these should be equal)',
		'new_classums' : 'These classums will be created from your input stack so as to maximize the signal-to-noize ratio and IMAGIC\'s ability to assign correct euler angles to your images.  The goal is to represent the different views in your stack with new averages that have an improved SNR.  Choosing 25% of the particles in your stack has worked well in test runs.  For example, if your stack contains 400 particles, input 100 here.',
		'num_classaverages' : 'This value refers to the number of class averages that will be used in creating your initial 3d model (3d0).  It is obtained from the reclassification (SORTED BY MEMBERSHIP), and should be set equal to or slightly less than the the number of reclassified classums.  <BR/><BR/> For example, if you have 100 reclassified classums, and are satisfied with all but the 2 last ones, input 98 here.',
		'choose_projections' : 'This first step is the most crucial part of angular reconstitution.  For asymmetric objects, a minimum of 3 projections is required to determine the relationship between the tilt axes of the projections, and hence their euler angles.  These projections should NOT be related by a tilt around a single rotation axis.  For this reason, it is crucial to examine your class averages and decide which 3 belong to the 3 projection planes (i.e.  X-Y, X-Z, Y-Z).  You can, and probably should, play around with different variations, making sure to check the IMAGIC log file and choose  angles with the largest inter-euler difference and lowest error in angular reconstitution.  <BR/><BR/> Note: Imagic begins all projections with [1] instead of [0]',
		'copy' : 'Duplicate the parameters for this iteration',
		'itn' : 'Iteration Number',

		/*** THESE ARE OLD ***/
		'shift_orig' : 'Occasionally the motif of certain images can shifted out of the image field during alignment.  In this case we would lose the whole image information so the best thing then is just to do nothing.<BR/><BR/> Give a maximum radial shift beyond which you do not shift the image.  Either you can specify this in pixels directly, or as a fraction of the inner radius of the image.<BR/><BR/> Please note that the maximal shift, which you specify here, is the maximal shift for equivalent rotation/shift, which is the overall shift using the original (usually the pre-treated) images to create the output images.',
		'shift_this' : 'For this refinement you may want to specify a maximum shift, which is allowed to shift the images during this alignment.<BR/><BR/> Please note that this maximal shift is another value than the maximal shift during equivalent rotation/shift, which is the overall shift starting from the original (usually the pre-treated) images.<BR/><BR/>Give a maximum radial shift beyond which you do not shift the image.  Either you can specify this in pixels directly, or as a fraction of the inner radius of the image.',
		'samp_par' : 'To calculate the rotational cross-correlation the input images are transformed into cylindrical co-ordinates.  The horizontal size of these images, and hence the precision of the rotational alignment, depends on sampling parameter, which you have to specify here.  <BR/><BR/>Example: When the sampling parameter is chosen to have the value 4, this means that the number of sampling points along the tangential direction equals four times the radius of the input images.  Reasonable values lie between 4 and 12, with low precision being 4, high precision being 12.',
		'euler_ang_inc' : 'This angular increment is taken as an indication of how precisely you want to determine the euler angles of the input images.  The computing time required for 1 degree is FOUR times more than for 2 degrees, etc.  Can try, for example, 10 in first iterations, and 1-2 in the last iterations.',
		'num_classums' : 'The classums are sorted according to the error in angular reconstitution.  This value is the number of classums that you will use for iterative refinement.  Typically only a handful of classums have a very high error in angular reconstitution, so a good value may be 90-95% of your original classums.  Alternatively, all of them can be used as well.  <BR/><BR/><b> NOTE: ORIGINAL CLASS AVERAGES IN NOREF RUN ARE USED FOR REFINEMENT </b>',
		'keep_classes' : 'The classes that are produced are sorted according to the overall quality of the class. This value refers to the percentage of class averages that you want to keep',
		'keep_ordered' : 'The "ordered" class averages which have been assigned euler angles are sorted according to the error in angular reconstitution (an internal consistency measurement). This value refers to the percentage of best class averages that you want to keep',
		'ham_win' : '<font size=1.5>A hamming window can be incorporated into the 3d filter to suppress high frequency compontents that cause artefacts such as ringing, streaking, etc.  The effect of a hamming filter is to smooth off the edge of the filter rather than to have a sharp cut-off.  <BR/><BR/>For Hamming Window = 1.  No smooth edge, but rather a sharp cut-off at the nyquist frequency (effectively a circular mask).  <BR/><BR/>For Hamming Window = 0.8, you get a smooth transition from the value "1" at 0.6 times the Nyquist frequency to a value "0" at the Nyquist frequency.  <BR/><BR/>For Hamming Window = 0.5 you get a very smooth transition from the value "1" at the frequency origin, to a value "0" at the Nyquist frequency.  The amplitudes at half the Nyquist frequency will be damped to 0.5 of their original values.  <BR/><BR/>For Hamming Window = 0.2, you get a very smooth transition from the value "1" at the frequency origin, to a value "0" at 0.4 times the Nyquist frequency</size>',
		'obj_size' : 'The relative size of the object inside the 3D volume influences the shape of the exact filter.  A value of "1" means that the reconstructed object entirely fills the reconstruction volume.  A value of ".01" within a volume of 256*256*256 means the 3D object only fills the central 1% of the 3D volume.  If the object is small (relative to the volume size) this means that the width of the central section in Fourier space is relatively large, and that thus intersecting central sections (rather central "slabs") influence each other over a larger frequency range.  <BR/><BR/> Low values (e.g.  0.1) have given poor results in test simulations.  High values (e.g.  0.8) have given better results.  While they may include some noise, this should be eliminated during the automasking procedure.',
		'repalignments' : 'Imagic builds a 3d form your chosen classums.  The batch script is then set up to perform translational and rotational alignments of the reprojections from the built 3d to the classums used to create the 3d.  By iterating this procedure, the 3d-error is minimized.  <BR/><BR/>In test runs alignments have converged after 10-20 iterations.',
		'amask_dim' : 'A good starting point for the lower bound of the bandpass parameter is the smallest dimension of our object.  <BR/><BR/>You can use the formula 2 / (number of pixels for smallest dimension of object).  For example, if it spans 17 pixels, input 0.12 here (2 / 17 = 0.12)',
		'amask_lp' : 'This is a noise-reducing low-pass filter.  Because initial models are done at low resolution, this can be set pretty low (e.g.  0.4)',
		'amask_sharp' : 'The low-pass parameter needs to be >= the low bound of the bandpass.  The higher this filter is set, the "finer / sharper" the mask will be.  Acceptable values from 0-1',
		'amask_thresh' : 'What the program wants from you is what percentage of the voxels (between 0 and 100) you expect the wanted mask to cover.  The program will then automatically generate a threshold value that leads to a 3D mask approximately covering the wanted percentage of the available voxels in the 3D volume.  <BR/><BR/> In test runs, 15 has worked well.',
		'mra_ang_inc' : 'The angular increment for forward projectsions of your masked and filtered 3d used for multi-reference alignment.  You do not need many references here, so setting this paramter to 25 should suffice',
		'forw_ang_inc' : 'The angular increment for forward projections of your masked and filtered 3d used for euler angle refinement (an anchor set).  This value can vary, decreasing as you increase the iterations.  <BR/><BR/>For a C1 structure, choosing 10 should probably be set as the limit, as this creates ~1000 projections which, in combination with an euler angle increment of 2, will take an entire day to perform euler angle assignments for a single iteration',

		/******* Angular Reconstitution Batch Refinement *********/
		'filtering' : '<b> particle filtering (OPTIONAL) </b><br><br> PARAMETER 1: low-pass filter stack to this value (in &Aring;ngstr&ouml;ms) prior to alignment and classification <br><br> PARAMETER 2: high-pass filter stack to this value (in &Aring;ngstr&ouml;ms) prior to alignment and classification',
		'MRA' : '<b> Multi Reference Alignment (MRA) of raw particles </b><br><br> PARAMETER 1: angular increment of forward projections for MRA (~25 is enough) <br><br> PARAMETER 2: maximum radial shift compared to original images - Occasionally the motif of certain images can shifted out of the image field during alignment.  In this case we would lose the whole image information. Parameter specified in pixels directly or as a fraction of inner radius. <br><br> PARAMETER 3: maximum radial shift during THIS PARTICULAR iteration <br><br> PARAMETER 4: minimum radius (in pixels) for rotational alignment <br><br> PARAMETER 5: maximum radius (in pixels) for rotational alignment',
		'MSA' : '<b> Multivariate Statistical Analysis (MSA) </b><br><br> PARAMETER 1: percentage of images (raw particles) to ignore when calculating eigenimages (this does not affect the number of classes produced) <br><br> PARAMETER 2: number of class averages to produce from the raw images (angular reconsitution needs large amounts of class averages to create a good model) <br><br> PARAMETER 3: number of factors (Eigenimages) to use for the classification (should be increased with increasing iterations, to take into account more high-resolution information) <br><br> PARAMETER 4: percentage of worst class members to ignore after classification (again, does not affect the specified number of class averages produced) <br><br> PARAMETER 5: Fraction of final class averages to keep - The classes that are produced are sorted according to the overall quality of the class, so this value REDUCES the amount of class averages going into angular reconstitution.',
		'Angular_Reconstitution' : '<b> The main method of assigning euler angles to class averages in IMAGIC. </b><br><br> PARAMETER 1: angular increment of forward projections - This is your "anchor set" for refining euler angles. The value can vary, decreasing as you increase the iterations. <br><br> PARAMETER 2: Angular Increment of Euler Search - indication of how precisely you want to determine the euler angles of the input images.  The computing time required for 1 degree is FOUR times more than for 2 degrees, etc.  Can try, for example, 10 in first iterations, and 1-2 in the last iterations. <br><br> PARAMETER 3: Fraction of best "ordered" images to keep - The "ordered" class averages which have been assigned euler angles are sorted according to the error in angular reconstitution (an internal consistency measurement).',
		'Threed_Reconstruction' : 'PARAMETER 1: Object size - The relative size of the object inside the 3D volume influences the shape of the exact filter. <BR/><BR/> Low values (e.g.  0.1) have given poor results in test simulations.  High values (e.g.  0.8) have given better results.  While they may include some noise, this should be eliminated during the automasking procedure. <br><br> PARAMETER 2: low-pass filter 3-D volume prior to masking (in &Aring;ngstr&ouml;ms)',
		'Masking' : '<b> Modulation-based masking of the 3d-density </b><br><br> PARAMETER 1: Lower bound of bandpass parameter for mask - A good starting poing is the smallest dimension of our object. You can use the formula 2 / (number of pixels for smallest dimension of object).  For example, if it spans 17 pixels, input 0.12 here (2 / 17 = 0.12). <br><br> PARAMETER 2: This is a noise-reducing low-pass filter - Because initial models are done at low resolution, this can be set pretty low (e.g.  0.4) <br><br> PARAMETER 3: Mask sharpness parameter - The low-pass parameter needs to be >= the low bound of the bandpass.  The higher this filter is set, the "finer / sharper" the mask will be.  Acceptable values from 0-1. <br><br> PARAMETER 4: Density thresholding - What the program wants from you is what percentage of the voxels (between 0 and 100) you expect the wanted mask to cover.  The program will then automatically generate a threshold value that leads to a 3D mask approximately covering the wanted percentage of the available voxels in the 3D volume. In test runs, 15 has worked well',
		'mass' : 'This value is for the chimera-generated model slices and does not affect the reconstruction. Please give the approximate mass of the specimen so that, when the mrc maps are generated, the volume at a threshold of 1 will approximately represent the given mass',
		'symmetry' : 'imposes symmetry on the model.  Used for multi-reference alignment (MRA), angular reconstitution, threed reconstruction, etc.  e.g.  C1, C2, D7, icosahedral, etc.',

		/*** MSA ***/
		'numiters' : 'Number of Iterations for multivariate statistical alignment. Typically the eigenimages converge very quickly, within a few iterations, but a large number is set as default to make sure that spikes do not occur later on during convergence.',
		'mask_radius' :'The mask radius is used during masking / filtering of the stack AND during the creation of eigenimages.  The output images will be normalized inside a circular mask with this radius.  The radius should be chosen such that no part of the molecules are cut off by the resulting mask.  This value may be specified as a fraction of the inner radius of the image or in pixels.  Radius = 1 means that the whole image is used for normalization.',
		'mask_dropoff' : 'If you specify a drop-off the mask will be a soft mask.  The drop-off parameter determines the width of the soft edge (halfwidth of soft-edge Gaussian drop-off) by which the circular mask is smoothed.  A value of 0 specifies a hard mask.',
		'overcorrection' : 'The overcorrection factor is a very important parameter in the MSA program. It determines the convergence speed of the Eigenvector Eigenvalue algorithm. However, if a too large overcorrection is chosen, the algorithm may start oscillating. Oscillations of the algorithm may be observed in the plot of the sum of the eigenvalues versus iteration number which is part of the output of this program. Divergence may thus only be detected a posteriori. The accepted values for OVER_CORRECTION lie between 0 and 0.9',
		'ignore_images' : 'percentage of images (raw particles) to ignore when calculating eigenimages (this does not affect the number of classes produced)',
		'ignore_members' : 'percentage of worst class members to ignore after classification',
		'norefbin' : 'Binning of the image. This takes a power of 2 (1,2,4,8,16) and shrinks the image to help make the processing faster. Binning would be useful if, for example, the reference-free averages are to be used for initial model creation. Otherwise IMAGIC MSA runs are quite fast. For example, on a stack of 10,000 particles with a boxsize of 192, the algorithm takes ~15-30 minutes to run, so bining is not necessary.',
		'MSAdistance' : 'distance metric used to analyze the difference between two images. Modulation analysis is defaulted to IMAGIC. Chi-square analysis is used in SPIDER Correspondence Analysis.',
		'num_eigenimages' : 'Number of factors (Eigenimages) to use for classification. The IMAGIC feature analysis algorithm defaults to calculating 69 Eigenimages, however, for the initial rounds of classification, the later ones usually represent pure noise. You may therefore wish to specify using less eigenimages (e.g. 5-10) for creating class averages, which would speed up the hierarchical clustering algorithm and reduce noise bias.',

		/*** MRA ***/
		'templatestack' : 'Template stack, the images of which will be used as references for the alignment',
		'lpfilt_refs' : 'Low pass filter applied to the references. Note that this is during processing, and does not alter the actual reference file in any way',
		'thresh_refs' : 'Thresholds the reference images to a certain pixel value. The reason for this is that commonly negative values represent negative stain. For example, thresholding to 0 removes all dark pixel values that would represent stain. NOTE: If you do not want any threshold give -999. ',
		'maskrad_refs' : 'contour the references with a circular mask. Value can be given in pixels OR as a fraction of the inner radius of the image (default)',
		'numiter_mra' : 'Number of Iterations for multi-reference alignment. IMAGIC limits this value to 5, since the good images will typically be ready after 2 or 3 iterations, whereas the bad images go on forever',
		'minrad' : 'Specify which radial parts of the images are to be included in the rotational alignment. The suggested value of 0 means that the starting point is the center of the image',
		'maxrad' : 'Specify which radial parts of the images are to be included in the rotational alignment. The suggested value of 0.7 means that all radii up to 70% of the image will be included in the search',
		'center' : 'perform a translational centering operation against the total particle sum prior to multi-reference alignment (NOTE: in the IMAGIC 3-D refinement, this is ONLY done for the first iteration. Subsequent iterations perform multi-reference rotational and translational alignment)',
		'num_orientations' : 'This parameter drives BRUTE_FORCE alignment option. CPU usage will be proportional to the number of different rotation directions you desire. Reasonable values are 5-360',

		/*** Synthetic Dataset Creation ***/
		'projcount' : 'number of projections to be made from the input model. If an even distribution is chosen, this value will be approximate, and the number of projections will be rounded up to the closest number giving an even, equivalent distribution of all angular views',
		'projtype' :  'These can be evenly distributed about the entire sphere (standard), or have a preferred orientation about the 3 axes (good for common lines tests)', 
		'projstdev' : 'standard deviation of gaussian distribution of euler angles about each axis. The model will be projected randomly in the the XY, XZ, and YZ coordinates with euler angles determined by a random gaussian distribution with the given standard deviation. A value of ~5 will give 3 preferred orientations.',
		'projinc' : 'angular increment of projections, as used in EMAN project3d program. For reference, ang=90 gives 3 projections, 45->8, 30->20, 20->44, 10->180, 7->388, 5->711, 4->1179, 3->1969, 2->4442, 1->17817. For example, an angular increment of 5, with 10000 projections chosen will produce a stack of 10665 particles (i.e. 15 repetitions of all angular views).',
		'shiftrad' : 'radius of of random shift for each particle. Should not be too much, otherwise the particles will not fit inside box', 
		'rotang' : 'angle of random rotation for each particle', 
		'flip' : 'randomly flip the projections along with shifts and rotations',
		'snr1' : 'first level of noise, simulating beam damage & structural noise. Estimated as 1.8 by Frank et. al.',
		'snrtot' : 'signal-to-noise ratio of final particles, simulating beam damage, structural noise, & digitization. Estimated as 0.05 by Frank et. al.', 
		'df1' : 'defocus value in x direction (represented as the mean, if randomization is checked)',
		'df2' : 'defocus value in x direction (represented as the mean, if randomization is checked)',
		'astigmatism' : 'Astigmatism of CTF. Only input if you want to apply an astigmatic ctf',
		'randomdef' : 'randomize defocus values when applying CTF (df1 and df2 would represent the mean)',
		'randdefstd' : 'standard deviation (in microns) for the gaussian distribution of defoci randomizations about the mean',
		'ace2correct' : 'correct images after applying CTF. Several options are given',
		'correctiontype' : 'Three options are available: <br><br><b> 1) Applied CTF </b> This is the simplest method, which corrects the images by wiener filtering the particles using the same defocus values as those that were applied. <br><br><b> 2) Use ACE2 Estimate </b> This method uses ACE2 to estimate the applied defoci. These Estimated values are then used to correct each micrograph and particle, simulating reality. In test runs, ACE2 either gets the exact value or completely fails. The latter case is most likely due to the fact that too much noise has been added before estimating. If this is the case, you can try decreasing SNR1 to 1, while keeping SNR Total as is at 0.05 (which is what it should be for ice images). <br><br><b> 3) Perturb Applied CTF </b> The correction values will be perturbed according to a gaussian mean (the applied CTF) and standard deviation (specified below) of the applied defoci. If you want to introduce errors in the correction phase, use this option.',
		'ace2correct_std' : 'used only in conjunction with the perturbation option above, if you want to introduce random errors in the CTF correction process',		
	},

	'eman' : {
/**
* these should be separate
**/
		'imask' : 'Radius of internal mask (in pixels)',
		'nodes' : 'Nodes refers to the number of computer to process on simultaneously.  The more nodes you get the faster things will get process, but more nodes requires that you wait longer before being allowed to begin processing.',
		'walltime' : 'Wall time, also called real-world time or wall-clock time, refers to elapsed time as determined by a chronometer such as a wristwatch or wall clock.  (The reference to a wall clock is how the term originally got its name.)',
		'cputime' : 'Wall time, also called real-world time or wall-clock time, refers to elapsed time as determined by a chronometer such as a wristwatch or wall clock.  (The reference to a wall clock is how the term originally got its name.)',
		'memory' : 'Amount of memory needed per node (not per processor)',
		'procpernode' : 'Processors per node.  If each computer (node) has 4 processors (procs), then proc/node=4.  For some cases, you may want to use less processors on each node, leaving more memory and system resources for each process.',
		'ang' : 'Angular step for projections (in degrees)',
		'itn' : 'Iteration Number',
		'copy' : 'Duplicate the parameters for this iteration',
		'mask' : 'Radius of external mask (in pixels)',
		'imask' : 'Radius of internal mask (in pixels)',
		'amask' : '<b>amask=[r],[threshold],[iter]</b><br />Must be used in conjunction with xfiles - This option applies an automatically generated \'form fitting\' soft mask to the model after each iteration.  The mask generation is generally quite good.  It uses 3 values :<br />First - the smallest radius from the center of the map that contacts some density of the \'good\' part of the map.<br />Second - A threshold density at which all of the undesirable density is disconnected from the desired mass.<br />Third - A number of 1-voxel \'shells\' to include after the correct density has been located (this allows you to use threshold densities higher than the desired isosurface threshold density).  The iterative shells will include a \'soft\' Gaussian edge after 2 pixels.  ie - if you add 8 shells, the density will decay in this region using a 1/2 width of 3 pixels starting at the 3rd pixel.  If the number of shells is specified as a negative value, then the mask will have a sharp edge, and any hollow areas inside the mask will be filled in.',
		'sym' : 'Imposes symmetry on the model, omit this option for no/unknown symmetry<BR/>Examples: c1, c2, d7, etc.',
		'hard' : 'Hard limit for <I>make3d</I> program.  This specifies how well the class averages must match the model to be included, 25 is typical',
		'maxshift' : 'Maximum translation during image alignment (in pixels)',
		'clskeep' : '<b>classkeep=[std dev multiplier]</b><br />This determines how many raw particles are discarded for each class-average.  This is defined in terms of the standard-deviation of the self-similarity of the particle set.  A value close to 0 (should not be exactly 0) will discard about 50% of the data.  1 is a typical value, and will typically discard 10-20% of the data.',
		'clsiter' : 'Generation of class averages is an iterative process.  Rather than just aligning the raw particles to a reference, they are iteratively aligned toeach other to produce a class-average representative of the data, not of the model, eliminating initial model bias.  Typically set to 8 in the early rounds and 3 in later rounds - 0 may be used at the end, but model bias may result.',
		'filt3d' : '<b>fil3d=[rad]</b><br />Applies a gaussian low-pass filter to the 3D model between iterations.  This can be used to correct problems that may result in high resolution terms being upweighted.  [rad] is in pixels, not &Aring;ngstr&ouml;ms',
		'shrink' : '<b>shrink=[n]</b><br /><i>Experimental</i>, Another option that can produce dramatic speed improvements.  In some cases, this option can actually produce an improvement in classification accuracy.  This option scales the particles and references down by a factor of [n] before classification.  Since data is often heavily oversampled, and classification is dominated by low resolution terms, this can be both safe, and actually improve classification by \'filtering\' out high resolution noise.  Generally shrink=2 is safe and effective especially for early refinement.  In cases of extreme oversampling, larger values may be ok.  This option should NOT be used for the final rounds of refinement at high resolution.',
		'euler2' : '<b>euler2=[oversample factor]</b><br /><i>Experimental</i>, This option should improve convergence and reconstruction quality, but has produced mixed results in the past.  It adds an additional step to the refinement process in which class-averages orientations are redetermined by projection-matching.  The parameter allows you to decrease the angular step (ang=) used to generateprojections.  ie - 2 would produce projections with angular step of ang/2.  It may be worth trying, but use it with caution on new projects.',
		'perturb' : '<i>Experimental</i>, potentially useful and at worst should be harmless.  Has not been well characterized yet.  Rather than generating Euler angles at evenly spaced positions, it adds some randomness to the positions.  This should produce a more uniform distribution of data in 3D Fourier space and reduce Fourier artifacts',
		'xfiles' : '<b>xfiles=[mass in kD]</b><br />A convenience option.  For each 3D model it will produce a corresponding x-file (threed.1a.mrc -> x.1.mrc).  Based on the mass, the x-file will be scaled so an isosurface threshold of 1 will contain the specified mass.',
		'tree' : 'This can be a risky option, but it can produce dramatic speedups in the refinement process.  Rather than comparing each particle to every reference, this will decimate the reference population to 1/4 (if 2 is specified) or 1/9 (if 3 is specified) of its original size, classify, then locally determine which of the matches is best.  Is is safest in conjunction with very small angular steps, ie - large numbers of projections.  The safest way to use this is either:<br /><i>a)</i> for high-resolution, small-ang refinement or <br/><i>b)</i> for the initial iterations of refinement (then turn it off for the last couple of iterations).',
		'median' : 'When creating class averages, use the median value for each pixel instead of the average.  Not recommended for larger datasets, as it can result in artifacts.  If your dataset is noisy, and has small particles this is recommended',
		'phscls' : 'This option will use signal to noise ratio weighted phase residual as a classification criteria (instead of the default optimized real space variance).  Over the last year or so, people working on cylindrical structures (like GroEL), have noticed that \'side views\' of this particle seem to frequently get classified as being tilted 4 or 5 degrees from the side view.  While apparently this didn\'t effect the models significantly at the obtained resolution, it is quite irritating.  This problem turns out to be due to resolution mismatch between the 3D model and the individual particles.  Using phase residual solves this problem, although it\'s unclear if there is any resolution improvement.  This option has a slight speed penalty',
		'fscls' : 'An improvement, albeit an experimental one, over phasecls.  phasecls ignores Fourier amplitude when making image comparisons.  fscls will use a SNR weighted Fourier shell correlation as a similarity criteria.  Preliminary tests have shown that this produces slightly better results than phasecls, but it should still be used with caution.',
		'refine' : 'This will do subpixel alignment of the particle translations for classification and averaging.  May have a significant impact at higher resolutions (with a speed penalty).',
		'goodbad' : 'Saves good and bad class averages from 3D reconstruction.  Overwrites each new iteration.',
		'eotest' : 'Run the <I>eotest</I> program that performs a 2 way even-odd test to determine the resolution of a reconstruction.',
		'coran' : 'Use correspondence analysis particle clustering algorithm',
		'coranCC' : 'During correspondence analysis, all resulting class averages that have a correlation coefficient equal to or higher than this value will be used in the final class average. If none meet this criteria, then the single average that has the highest CC is used. Value must be 0-1',
		'coranmask' : 'Defines a radius (in pixels) from center of image to be used for correspondence analysis. Only image data within this radius will be used for reference-free classification. This mask is NOT used in calculation of CCs to the model projection.', 
		'coranlp' : 'low-pass filter the particles for reference-free classification (in &Aring;ngstr&ouml;ms). Unfiltered particles are used to create the class average.',
		'coranhp' : 'high-pass filter the particles for reference-free classification (in &Aring;ngstr&ouml;ms). Unfiltered particles are used to create the class average.',

		'affprop' : 'Use affinity propagation particle clustering algorithm',
		'affpropCC' : 'During affinity propagation clustering, all resulting class averages that have a correlation coefficient equal to or higher than this value will be used in the final class average. If none meet this criteria, then the single average that has the highest CC is used. Value must be 0-1',
		'affpropMP' : 'Defines the minimum number of particles needed for affinity propagation to run. If the minimum is not met the algorithm is skipped',

	},

	'spider' : {
		'mask' : 'Radius from center of particle to outer edge (in pixels). Everything further will be masked after each iteration',
		'imask' : 'Inner masking radius (in pixels).',
		'lp' : 'Particles can be low-pass filtered for projection-matching, specify the amount here (in &Aring;ngstr&ouml;ms).  The raw, unfiltered data is used for the back-projection.',
		'hp' : 'Particles can be high-pass filtered for projection-matching, specify the amount here (in &Aring;ngstr&ouml;ms).  The raw, unfiltered data is used for the back-projection.',
		'firstring' : 'Used in determination of rotational alignment. Any pixels this far away from the center will not be used in the analysis. If you have an empty virus caspid, for example, enter a value that is a few pixels smaller than the particle radius.',
		'lastring' : 'Used in determination of rotational alignment. Only pixels this far from the center will be used in the analysis.',
		'xysearch' : 'Translational search during projection matching will be limited to this many pixels from the center of the image',
		'xyshift' : 'During projection-matching, particles will only be allowed to shift this far from the center of the image. This value is a percentage of the total box size (0-1).  For example, if using a box size of 256, an xyshift value of 0.2 will allow the particle to move a maximum distance of 52 pixels from its original location.',
		'keep' : 'Used to determine which particles are kept for use in the back-projection.  This value sets the particle cutoff in terms of sigma levels above or below the mean cross-correlation.  A value of 0 only keeps the particles that have an equal or better cc value than the mean. The higher the value entered here, the fewer (but better correlated) particles that are used.  A value of -1 will include particles that are 1 standard deviation worse than the mean cc value in the back projection.',
		'voliter' : 'Maximum number of iterative back-projection cycles to perform, in order to properly determine the relative weights of the low to high frequencies.',
		'lambda' : 'Controls the speed of convergence during iterative back-projection.  Too small a value will result in a structure that has high frequencies underrepresented, and will appear very smooth. Too large a value will terminate the iterations too soon, and the resulting structure will be incorrect.',
		'smooth' : 'Determines the relative weight of the low-pass filtration. 0 means no smoothing.  To achieve stronger low-pass filtration, one can decrease lambda and increase the smoothing constant.',
		'ang_inc' : 'A list of angular increments for projection matching, separated by commas.',
	},
	
	'frealign' : {



		// script parameters
		'nodes' : 'Nodes refers to the number of computer to process on simultaneously.  The more nodes you get the faster things will get process, but more nodes requires that you wait longer before being allowed to begin processing.',
		'ppn' : 'Processors per node.  If each computer (node) has 4 processors (procs), then proc/node=4.',
		'rpn' : 'Reconstructions per node.  For some cases, you may want to use less processors on each node, leaving more memory and system resources for each process. If each computer (node) has 4 processors (procs), but you want to use 2, then ppn=4 and rpn=2.  ',

		'dang' : 'angular increment used in creating projections for determining initial aligments',
		'numiter' : 'number of refinement iterations to perform',
		'outdir' : 'The base output directory to which files will be stored. A subdirectory of the run name will be appended for actual output',
		'runname' : 'Specifies the name associated with the processing results unique to the specified session and parameters. The default is automatically incremented',

		/* paste results from runFrealign.convertParserToJSHelp here */

		// card 2
		'mask' : 'RO -- Radius from center of particle to outer edge (in &Aring;ngstr&ouml;ms)',
		'imask' : 'RI -- Inner mask radius (in &Aring;ngstr&ouml;ms)',
		'apix' : 'Pixel size in &Aring;ngstr&ouml;ms',
		'wgh' : 'WGH -- Amplitude contrast (0.07 for ice; 0.15 for stain)',
		'xstd' : 'XSTD -- Standard deviations above mean for masking of input model.  0.0 gives no masking.',
		'pbc' : 'PBC -- Phase b-factor constant -- Conversion constant for phase residual weighting of particles. 100 gives equal weighting; 5 gives a strong weighting.',
		'boff' : 'BOFF -- Average phase residual of all particles.  Used for weighting',
		'itmax' : 'ITMAX -- Number of iterations of randomization.  Used for modes 2 and 4',
		'ipmax' : 'IPMAX -- Number of potential matches in a search that should be tested further in local refinement',
		// card 5
		'sym' : 'ASYM -- Symmetry.  Cn, Dn, T, O, I, I1, I2',
		// card 6
		'target' : 'TARGET -- Target phase residual during refinement',
		'thresh' : 'THRESH -- Phase residual threshold cut-off.  Particles with residuals above threshold are not included in the reconstruction, if the value is less than 1 it keeps a percentage of the particles',
		'cs' : 'Also referred to as Cs, it corresponds to the imperfection produced by the lenses in the electron microscope.  This is specific to the microscope',
		// card 7
		'rrec' : 'RREC -- <b>Resolution of reconstruction in &Aring;ngstr&ouml;ms</b><br /> Resolution to which the reconstruction is calculated. If several datasets have different values, the data is individually limited in the summation to the resolution limit but symmetry is applied, statistics output and the final map calculated to the maximum resolution requested for any dataset.',
		'hp' : 'RMAX1 -- Lower resolution limit of the data to be included in the search/refinement.',
		'lp' : 'RMAX2 -- High resolution limit of the data to be included in the search/refinement.',
		'rbfact' : 'RBFACT -- Bfactor to apply to particles before classification.  0.0 applies no bfactor.',

		// unused
		'copy' : 'Duplicate the parameters for this iteration',	
		'itn' : 'Iteration Number',
		// card 1 
		'format' : 'MRC',
		'mode' : 'Run mode.  0: use input parameters and reconstruct with no refinement.  1: refine and reconstruct.  2: randomise particle params and reconstruct.  3: systematic param search and refinement 4: fancy systematic param search and refinement.',
		'magrefine' : 'Magnification refinement',
		'defocusrefine' : 'Defocus refinement',
		'astigrefine' : 'Astigmatism refinemet',
		'fliptilt' : 'Rotation of theta by 180 degrees',
		'ewald' : 'Ewald curvature correction.  0: no correction.  1: correction by insertion method.  2: correction by ref-based method',
		'matches' : 'Write out particles with matching projections',
		'history' : 'Write out history of itmax randomization trials',
		'finalsym' : 'Apply final real space symmetrization to beautify reconstruction',
		'fomfilter' : 'Apply FOM filter to final reconstruction',
		'fsc' : 'Internally calculate FSC between even and odd particles',

		'psi' : 'Refine psi',
		'theta' : 'Refine theta',
		'phi' : 'Refine phi',
		'deltax' : 'Refine delta X',
		'deltay' : 'Refine delta Y',
		'first' : 'First particle',
		'last' : 'Last particle',
		'ctffindonly' : 'Only CTF values estimated using CTFFIND or CTFTILT will be used for correcting the CTF',

		'relmag' : 'RELMAG -- lative magnification of dataset?',

		'kv' : 'Accelerlating voltage',
		'beamtiltx' : 'Beam tilt x (mrad)',
		'beamtilty' : 'Beam tilt y (mrad)',

		'stack' : 'Input particles to be classified',
		'matchstack' : 'Output projection matches',
		'inpar' : 'Input particle parameter file',
		'outpar' : 'Output particle parameter file',
		'outshiftpar' : 'Output particle shift parameter file',
		'invol' : 'Input reference volume',
		'weight3d' : '???',
		'oddvol' : 'Output odd volume',
		'evenvol' : 'Output even volume',
		'outresidual' : '3d phase residuals',
		'pointspreadvol' : 'Output 3d point spread function',
		'stackid' : 'Stack id from database',
		'mrchack' : 'Hack to fix machine stamp in mrc header',
		'outvol' : 'Name of output volume',

		'setuponly' : 'If setuponly is specified, everything will be set up but frealign will not be run',
	}	
}
